POST
/api/v1/rds/cluster/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "software_id": 4, "template_id": 21, "name": "E2E-DBaaS-26322-7033", "group": "Default", "public_ip_required": true, "database": { "user": "admin", "password": "Vk@123456789123456789", "dbaas_number": 1, "name": "DB-26322-7033" }, "vpcs": [ { "target": "vpcs", "vpc_name": "VPC-528", "network_id": 31066, "ipv4_cidr": "10.7.214.0/23", "subnet_id": 347 } ]}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "software_id": 4, "template_id": 21, "name": "E2E-DBaaS-26322-7033", "group": "Default", "public_ip_required": True, "database": { "user": "admin", "password": "Vk@123456789123456789", "dbaas_number": 1, "name": "DB-26322-7033", }, "vpcs": [ { "target": "vpcs", "vpc_name": "VPC-528", "network_id": 31066, "ipv4_cidr": "10.7.214.0/23", "subnet_id": 347, }, ], },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/rds/cluster/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "software_id": 4, "template_id": 21, "name": "E2E-DBaaS-26322-7033", "group": "Default", "public_ip_required": true, "database": { "user": "admin", "password": "Vk@123456789123456789", "dbaas_number": 1, "name": "DB-26322-7033" }, "vpcs": [ { "target": "vpcs", "vpc_name": "VPC-528", "network_id": 31066, "ipv4_cidr": "10.7.214.0/23", "subnet_id": 347 } ] }),});console.log(await response.json());All DBaaS Plans
Pick the software ID of the engine and version from this table, then get a template ID for it from Get DBaaS Plans: the template ID picks the plan.
| DBaaS Name | Software ID |
|---|---|
| MySQL 8.0 | 4 |
| MariaDB 10.6 | 11 |
| MariaDB 10.11 | 12 |
| PostgreSQL 15.0 | 10 |
| PostgreSQL 16.0 | 19 |
| PostgreSQL 17.0 | 20 |
| PostgreSQL 18.0 | 21 |
Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID Find your project id here
location
required
string
Deployment region for the resource. Accepted values: Delhi, Chennai.
Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
software_id
required
The engine and version, from the table above, such as 4 for MySQL 8.0
integer
Example
4template_id
required
For checking machine specification
integer
Example
21name
required
string
Example
E2E-DBaaS-26322-7033group
required
It is a default group
string
Example
Defaultpublic_ip_required
required
Optional If you want to select public IP
boolean
Example
truedatabase
required
object
user
string
Example
adminpassword
string
Example
Vk@123456789123456789dbaas_number
integer
Example
1name
string
Example
DB-26322-7033vpcs
Array<object>
object
key
additional properties
any
Example
[ { "target": "vpcs", "vpc_name": "VPC-528", "network_id": 31066, "ipv4_cidr": "10.7.214.0/23", "subnet_id": 347 }]Responses
Section titled “Responses”DB instance created successfully
Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
status
string
status_title
string
status_actions
Array
num_instances
integer
software
object
name
string
version
string
engine
string
master_node
object
node_name
string
instance_id
integer
cluster_id
integer
node_id
integer
vm_id
integer
port
string
public_ip_address
string
private_ip_address
string
allowed_ip_address
object
whitelisted_ips
Array
temp_ips
Array
whitelisted_ips_tags
Array
temp_ips_tags
Array
whitelisting_in_progress
boolean
database
object
id
integer
username
string
database
string
pg_detail
object
ram
string
cpu
integer
disk
string
status
string
db_status
string
created_at
string
plan
Plan details (can be an object or empty {})
object
ssl
boolean
domain
string
public_port
string
committed_info
string
cluster_name
string
plan_name
string
connectivity_detail
string
vector_database_status
string
project_name
string
snapshot_exist
boolean
zookeeper_instances
integer
slave_instances
integer
isEncryptionEnabled
boolean
errors
object
message
string
Example
{ "code": 200, "data": { "id": 7809, "name": "E2E-DBaaS-28401-5664", "status": "CREATING", "status_title": "Creating", "status_actions": [], "num_instances": 1, "software": { "name": "MySQL", "version": "8.0", "engine": "Innodb" }, "master_node": { "node_name": "E2E-DBaaS-28401-5664-Node-1", "instance_id": 16334, "cluster_id": 7809, "node_id": 266882, "vm_id": 278862, "port": "3306", "public_ip_address": "164.52.212.190", "private_ip_address": "10.0.0.18", "allowed_ip_address": { "whitelisted_ips": [], "temp_ips": [], "whitelisted_ips_tags": [], "temp_ips_tags": [], "whitelisting_in_progress": false }, "database": { "id": 7802, "username": "admin", "database": "DB-28401-5664", "pg_detail": {} }, "ram": "16 GB", "cpu": 4, "disk": "200 GB", "status": "Creating", "db_status": "Creating", "created_at": "24/Sep/2025 12:09 PM", "plan": {}, "ssl": true, "domain": null, "public_port": null, "committed_info": null, "cluster_name": "", "plan_name": "e2e_public_cloud" }, "connectivity_detail": "{'read_end_point': [], 'read_and_write_end_point': [], 'status': 'updating', 'type': 1}", "vector_database_status": "Disabled", "project_name": "default-project-38742", "snapshot_exist": false, "zookeeper_instances": 0, "slave_instances": 0, "isEncryptionEnabled": false }, "errors": {}, "message": "Success"}